Released: September 2017 Quarterly Exchange Updates

September 24, 2017

tags:
no comments

Released: September 2017 Quarterly Exchange Updates

 

Please Remember , From CU16 you must install Dot Net 4.6.2 on Exchange Servers

 

Shmuel H.

Add comment
facebook linkedin twitter email

Leave a Reply

Your email address will not be published.

You may use these HTML tags and attributes: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>

*